# Affiliates Integration Guide

## API access 

Once you become our [affiliate partner](https://wise.com/gb/affiliate-program/), please get in touch with our team at partnerwise@wise.com. We will review your request and send over instructions on how to get the API access credentials.

There are two endpoints [Exchange Rates.List](#exchange-rates-list) and [Get Temporary Quote](#quotes-get-temporary-quote) which you can call with this authentication method.

## Postman Collection 

Please visit our [Postman collection](https://documenter.getpostman.com/view/12156495/TVes8SL9) for more details and examples of how to use our API, including how to get comparison, rates as well as pricing and speed data.

## TEST and LIVE environments 

* Sandbox API is located at https://api.wise-sandbox.com
* LIVE API is located at https://api.transferwise.com


## Retrieve current rates

**`GET /v1/rates`**

Fetch latest exchange rates of all currencies.

**`GET /v1/rates?source=EUR&target=USD`**

Fetch latest exchange rate of one currency pair.

Please see the [rate](/api-reference/rate) API reference for full details.

**Example Request (Basic authentication)**

```shell curl
curl -i -X GET \
  'https://api.wise.com/2026Q3/rates?source=EUR&target=USD&time=2019-02-13T14%3A53%3A01&from=2019-02-13T14%3A53%3A01&to=2019-03-13T14%3A53%3A01&group=day' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'
```

**Example Response**

```json 200 application/json
[
  {
    "rate": 1.166,
    "source": "EUR",
    "target": "USD",
    "time": "2018-08-31T10:43:31+0000"
  }
]
```

```json 400 application/json
{
  "error": "Bad Request",
  "message": "Invalid parameters",
  "path": null,
  "status": 400,
  "timestamp": "2026-01-01T06:56:29.923935466Z"
}
```

```json 429 application/json
{}
```

## Get pricing and speed

**`POST https://api.wise-sandbox.com/v2/quotes`**

**Is currency route supported?**

If we don't support a route then this endpoint will respond with an error code "error.route.not.supported".

**How much does a transfer cost?**

The Wise fee is included in the response.

**How long does my transfer take?**

Estimated delivery time is included in the response.
This can vary quite a lot for different currency routes. For example transfers often only take a few hours from EUR to GBP, while sending money from USD can take 1-2 business days.
This endpoint allows you to find out the estimated delivery time for each currency route.

See more at [Creating Temporary Quote](/api-reference/quote/quotecreate)

**Example Request**

```shell curl
curl -i -X POST \
  https://api.wise.com/2026Q3/quotes \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "targetCurrency": "GBP",
    "targetAmount": 600,
    "sourceCurrency": "EUR"
  }'
```

**Example Response**

```json 200 application/json
{
  "id": "11144c35-9fe8-4c32-b7fd-d05c2a7734bf",
  "sourceCurrency": "GBP",
  "targetCurrency": "USD",
  "sourceAmount": 100,
  "targetAmount": 129.24,
  "payOut": "BANK_TRANSFER",
  "preferredPayIn": "BANK_TRANSFER",
  "rate": 1.30445,
  "createdTime": "2019-04-05T13:18:58Z",
  "user": 55,
  "profile": 101,
  "rateType": "FIXED",
  "rateExpirationTime": "2019-04-08T13:18:57Z",
  "guaranteedTargetAmountAllowed": true,
  "targetAmountAllowed": true,
  "guaranteedTargetAmount": false,
  "providedAmountType": "SOURCE",
  "pricingConfiguration": {
    "fee": {
      "type": "OVERRIDE",
      "variable": 0.011,
      "fixed": 15.42
    }
  },
  "paymentOptions": [
    {
      "disabled": false,
      "estimatedDelivery": "2019-04-08T12:30:00Z",
      "formattedEstimatedDelivery": "by Apr 8",
      "estimatedDeliveryDelays": [
        {
          "reason": "sample reason"
        }
      ],
      "fee": {
        "transferwise": 3.04,
        "payIn": 0,
        "discount": 2.27,
        "partner": 0,
        "total": 0.77
      },
      "price": {
        "priceSetId": 238,
        "total": {
          "type": "TOTAL",
          "label": "Total fees",
          "value": {
            "amount": 0.77,
            "currency": "GBP",
            "label": "0.77 GBP"
          },
          "explanation": {}
        },
        "items": [
          {
            "id": "string",
            "type": "FEE",
            "label": "fee",
            "value": {
              "amount": 0,
              "currency": "GBP",
              "label": "0 GBP"
            },
            "explanation": {
              "plainText": "string",
              "markdown": "string"
            }
          }
        ],
        "deferredFee": {
          "amount": 14.79,
          "currency": "BRL"
        },
        "calculatedOn": {
          "unroundedAmountToConvert": {
            "amount": 179.97342,
            "currency": "BRL"
          }
        }
      },
      "sourceAmount": 100,
      "targetAmount": 129.24,
      "sourceCurrency": "GBP",
      "targetCurrency": "USD",
      "payIn": "BANK_TRANSFER",
      "payOut": "BANK_TRANSFER",
      "allowedProfileTypes": [
        "PERSONAL",
        "BUSINESS"
      ],
      "payInProduct": "CHEAP",
      "feePercentage": 0.0092,
      "disabledReason": {
        "code": "string",
        "message": "string"
      }
    }
  ],
  "status": "PENDING",
  "expirationTime": "2019-04-05T13:48:58Z",
  "notices": [
    {
      "text": "You can have a maximum of 3 open transfers with a guaranteed rate. After that, they'll be transferred using the live rate. Complete or cancel your other transfers to regain the use of guaranteed rate.",
      "link": null,
      "type": "WARNING"
    }
  ]
}
```

```json 429 application/json
{}
```